Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class CompressionMetadata.Chunk

    java.lang.Object
      org.apache.cassandra.io.compress.CompressionMetadata.Chunk

Enclosing class:
  CompressionMetadata

    public static class CompressionMetadata.Chunk

extends java.lang.Object

Holds offset and length of the file chunk

Field Summary
`int` | `length`
`long` | `offset`

Constructor Summary
`CompressionMetadata.Chunk(long offset, int length)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    public final long offset

### length

    public final int length

Constructor Detail

### CompressionMetadata.Chunk

    public CompressionMetadata.Chunk(long offset,
                                     int length)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation